package com.fizz.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fizz.business.domain.CrmPdiPlan;
import com.fizz.business.form.CalcPdiPlanForm;
import com.fizz.business.form.ChangePlanStatusForm;
import com.fizz.business.form.CrmPdiPlanForm;
import com.fizz.business.form.PlanQueryForm;
import com.fizz.business.vo.CrmPdiPlanVO;
import com.fizz.business.vo.PdiPlanSetupInfoVO;

import java.util.List;

public interface CrmPdiPlanService extends IService<CrmPdiPlan> {

     CrmPdiPlanVO getByCoilIdAndOperId(String coilid);

     boolean addCrmPdiPlan(CrmPdiPlan crmPdiPlan);

     boolean updateCrmPdiPlan(CrmPdiPlan crmPdiPlan);

     boolean deleteCrmPdiPlan(List<Long> coilid);

     List<CrmPdiPlanVO> listAll(PlanQueryForm form);

    /**
     * 获取未生产的第一个钢卷（按顺序号或创建时间最早）
     */
    CrmPdiPlan getFirstUnProducedCoil();

    void changeStatus(ChangePlanStatusForm build);
}
